task bedtools {

	Array[File] input_samples
	File bed_file

	String docker
	String cluster_config
	String disk_size

	command <<<
	    set -e -o pipefail
		cat ~{sep=" " input_samples}|bedtools multicov -bed ${bed_file} > revread_count.txt 

	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File read_count = "revread_count.txt"
	}
}